Get Profile Inbox Email
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/profiles/{profileId}/inbox-emails/{emailId} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://odyssey.asteroid.ai/agents/v2/profiles/{profileId}/inbox-emails/{emailId}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://odyssey.asteroid.ai/agents/v2/profiles/{profileId}/inbox-emails/{emailId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"from": "<string>",
"id": "<string>",
"subject": "<string>",
"to": [
"<string>"
],
"bcc": [
"<string>"
],
"cc": [
"<string>"
],
"html": "<string>",
"replyTo": [
"<string>"
],
"text": "<string>"
}{
"code": 400,
"message": "<string>"
}{
"code": 401,
"message": "<string>"
}{
"code": 403,
"message": "<string>"
}{
"code": 404,
"message": "<string>"
}{
"code": 500,
"message": "<string>"
}Profiles
Get Profile Inbox Email
Get a single email from the profile’s inbox by ID
GET
/
profiles
/
{profileId}
/
inbox-emails
/
{emailId}
Get Profile Inbox Email
Authorizations
Path Parameters
The ID of the profile
The Resend email ID
Response
The request has succeeded.
Full content of a single email in the agent profile's inbox
When the email was received
Sender address
Unique email ID from Resend
Email subject
Recipient addresses
BCC recipients, if any
CC recipients, if any
HTML body, if available
Reply-to addresses, if any
Plain-text body, if available

